Bug 497187 - %{_bindir}/mkbundle2 should be in mono-devel instead of mono-core
%{_bindir}/mkbundle2 should be in mono-devel instead of mono-core
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 13:48 EDT by Kirby Zhou
Modified: 2009-06-29 19:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 19:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirby Zhou 2009-04-22 13:48:48 EDT
Description of problem:

%{_bindir}/mkbundle2 requires `/usr/bin/monodir`/2.0/mkbundle.exe, but mkbundle.exe is being in the mono-devel. mkbundle and mkbundle1 is in the mono-devel too. So I think it should to be moved from mono-core to mono-devel package.

patch here:

# diff mono.spec.f11 mono.spec -u
--- mono.spec.f11       2009-04-15 07:54:57.000000000 +0800
+++ mono.spec   2009-04-23 01:46:54.000000000 +0800
@@ -393,7 +395,6 @@
 %{monodir}/?.0/installutil.*
 %{monodir}/3.5/System.Web.Extensions*
 %{monodir}/2.0/System.Xml.Linq.dll
-%{_bindir}/mkbundle2
 %{_libdir}/libmono.so.*
 %{_libdir}/libmono-profiler-logging.so.*
 %{_mandir}/man1/certmgr.1.gz
@@ -483,6 +484,7 @@
 %mono_bin makecert
 %mono_bin mkbundle
 %{_bindir}/mkbundle1
+%{_bindir}/mkbundle2
 %mono_bin_1 monop monop
 %{_bindir}/monop1
 %mono_bin_2 monop2 monop
Comment 1 Xavier Lamien 2009-05-11 07:12:47 EDT
done.
Comment 2 Bug Zapper 2009-06-09 10:25:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.